#!/bin/bash

NETSTAT=$(cat /tmp/weather-var | grep 'NETSTAT' | sed 's/NETSTAT //')
SIZE=$(cat /tmp/weather-var | grep '^SIZE' | sed 's/SIZE //')
YSPACE=$(cat /tmp/weather-var | grep 'YSPACE' | sed 's/YSPACE //')
FONT=$(cat /tmp/weather-var | grep 'FONT' | sed 's/FONT //')
BOLD=$(cat /tmp/weather-var | grep 'BOLD' | sed 's/BOLD //')
SFSIZE=$(cat /tmp/weather-var | grep 'SFSIZE' | sed 's/SFSIZE //')
NSFSIZE=$(cat /tmp/weather-var | grep 'SFSIZE' | sed 's/[^0-9]//g')
TSIZE=$(cat /tmp/weather-var | grep 'TSIZE' | sed 's/TSIZE //')
FILE=$(cat /tmp/weather-var | grep 'FILE' | sed 's/FILE //')
RESIZE=$(cat /tmp/weather-var | grep 'RESIZE' | sed 's/RESIZE //')
COLOR=$(cat /tmp/weather-var | grep 'COLOR' | sed 's/COLOR //')
LOCID=$(cat /tmp/weather-var | grep 'LOCID' | sed 's/LOCID //')
IX=$(cat /tmp/weather-var | grep 'IX' | sed 's/IX //')
IY=$(cat /tmp/weather-var | grep 'IY' | sed 's/IY //')

if [ "$NETSTAT" != "1" ]; then
   echo "\${voffset -$SIZE}"
else

   echo $YSPACE'${font '$FONT$BOLD$SFSIZE'}${goto '$TSIZE'}${color1}'$(cat $FILE | grep -A 1 ":ce" | sed '/<d/d;s/<b>//;s/<.*//')
   convert ~/.conky/Flat-Weather/Flat/$(cat $FILE | grep "x_ic" | sed 's/.*3\///;s/[.].*//').png $RESIZE$COLOR/tmp/$LOCID-icon.png
   echo '${image /tmp/'$LOCID'-icon.png -p '$IX','$IY'}'
   echo '${voffset -'$((2*$NSFSIZE+$SIZE))'}'

fi
