#!/bin/bash

NETSTAT=$(cat /tmp/weather-var | grep 'NETSTAT' | sed 's/NETSTAT //')
SIZE=$(cat /tmp/weather-var | grep '^SIZE' | sed 's/SIZE //')
YSPACE=$(cat /tmp/weather-var | grep 'YSPACE' | sed 's/YSPACE //')
FONT=$(cat /tmp/weather-var | grep 'FONT' | sed 's/FONT //')
SFSIZE=$(cat /tmp/weather-var | grep 'SFSIZE' | sed 's/SFSIZE //')
TSIZE=$(cat /tmp/weather-var | grep 'TSIZE' | sed 's/TSIZE //')
FILE=$(cat /tmp/weather-var | grep 'FILE' | sed 's/FILE //')
COLON=$(cat /tmp/weather-var | grep 'COLON' | sed 's/COLON //')
WUNIT=$(cat /tmp/weather-var | grep 'WUNIT' | sed 's/WUNIT //')
NOWIND=$(cat /tmp/weather-var | grep 'NOWIND' | sed 's/NOWIND //')

if [ "$NETSTAT" != "1" ]; then
   echo "\${voffset -$SIZE}"
else

   WIND=$(cat $FILE | grep -A 3 "rent_r" | sed '/[0-9]/!d;s/ .*//')
   echo $YSPACE'${font '$FONT$SFSIZE'}${goto '$TSIZE'}${color1}'$(cat $FILE | grep -A 1 "rent_r" | sed '/<d/d;s/<\/.*//;s/.*>//')$COLON$(if [ "$WIND" ]; then echo $WIND$WUNIT; else echo $NOWIND; fi)

fi
