#!/bin/bash

# Crée par JPDipsy 
# script de recupération imagesat couverture nuageuse http://www.sat24.com
# et mise en forme polaroïd imagemagick et pagecurl  doivent être installés
# ce script et le script pagecurl doivent être dans le même rep.
#----------------------------------------------------------------------------------
path=`dirname $0`
heuremodif=`date +%H`; minmodif=`date +%M`
# ce que vous voulez
fonte=Times-Bold
nomimage=imagesat-couvnuage
tailleimage=60 # ceci est en pourcentage
tailledecoupe=400x400
rotation=-15
libelle="Couverture nuageuse à  "
#----------------------------------------------------------------------------------
# recup image sat
wget -q -O  /tmp/$nomimage.gif "http://www.sat24.com/image.ashx?country=eu&type=zoom&format=640x480001001&rnd=610703"

function mise_en_forme_image {
convert  /tmp/$nomimage.png -background white -bordercolor white  -border 5%  -gravity South -splice 0x22 -density 150 \
-font $fonte  -pointsize 10 -annotate 0x10+0+10 "$libelle $heuremodif h $minmodif"   /tmp/$nomimage.png
#creation coin et masque à l'aide du script pagecurl
convert -size 128x128 xc: miff:- | $path/pagecurl  -m doublegrad -a 60 -e 0.3 -i /tmp/"pagecurl" - null:
#composition image finale
convert /tmp/$nomimage.png -background  none -alpha set -gravity SouthEast -define compose:outside-overlay=false \
/tmp/pagecurl_overlay.png -composite /tmp/pagecurl_mask.png  -compose DstIn -composite -resize $tailleimage%  -virtual-pixel background  \
+distort ScaleRotateTranslate $rotation +repage /tmp/$nomimage.png
rm /tmp/pagecurl_overlay.png ; rm /tmp/pagecurl_mask.png	
}

function ombre {
convert   /tmp/$nomimage.png  -background  black  \( +clone -shadow 60x4+14+14 \) +swap -background  none   -flatten /tmp/$nomimage.png	
}	

if [[ -e /tmp/$nomimage.gif ]] ; then
	# decoupage de la partie utile
	convert /tmp/$nomimage.gif -filter Lanczos -crop  $tailledecoupe+140+100\! /tmp/$nomimage.png
	mise_en_forme_image ; ombre ; rm /tmp/$nomimage.gif
else
	# comme ça votre conky aura toujours une image au cas ou 
	convert -size $tailledecoupe plasma:  /tmp/$nomimage.png
	libelle="Désolé pas d'image radar à "
	mise_en_forme_image ; ombre
fi
